# CSV file

The table below presents the column names and their descriptions for products in a CSV file. When a column is required, all corresponding values must be provided in the rows of that column.

### File description

<table><thead><tr><th width="171">Header</th><th width="119" align="center">Mandatory</th><th width="99">Type</th><th>Description</th></tr></thead><tbody><tr><td>product_id</td><td align="center"><strong>YES</strong></td><td>Text</td><td>This field identifies a product.</td></tr><tr><td>title</td><td align="center"><strong>YES</strong></td><td>Text</td><td>This field corresponds to the name of the product as it is displayed on the product detail page.</td></tr><tr><td>link</td><td align="center"><strong>YES</strong></td><td>Url</td><td>This field corresponds to the URL of the page of a given product.</td></tr><tr><td>image_link</td><td align="center"><strong>YES</strong></td><td>Url</td><td>This field contains the URL of the product image.</td></tr><tr><td>alternative_image_link</td><td align="center">Optional</td><td>Url</td><td>This field specifies the URL of an alternative image of the product.</td></tr><tr><td>brand</td><td align="center"><strong>YES</strong></td><td>Text</td><td>This field indicates the brand name of the product.</td></tr><tr><td>category</td><td align="center"><strong>YES</strong></td><td>Text</td><td><p>This field indicates the identifier of the category of the product.</p><p>Example: <mark style="color:orange;">c-876333</mark><br></p></td></tr><tr><td>taxonomy</td><td align="center">Optional</td><td>Text</td><td><p>This field lists the complete categorization of the product. (code and label separated by <strong>::</strong>)</p><p><mark style="background-color:blue;">Each category level must be separated by the</mark> <mark style="background-color:blue;"><strong>>></strong> character</mark><em><mark style="background-color:blue;">.</mark></em> </p><p>Example : <mark style="color:orange;">c-11001::Washers and Dryers>>c-671001::Washing>>c-876333::Washing Machine</mark></p></td></tr><tr><td>price</td><td align="center"><strong>YES</strong></td><td>Number</td><td><p>This field corresponds to the price of the product.</p><p><mark style="background-color:blue;">The decimal separator must be a dot (<strong>.</strong>) with no thousands separator</mark><em><mark style="background-color:blue;">.</mark></em> </p><p>Example : <mark style="color:orange;">559.90</mark></p></td></tr><tr><td>sale_price</td><td align="center">Optional</td><td>Number</td><td><p>This field corresponds to the price of the product when it is on sale.</p><p><mark style="background-color:blue;">The decimal separator must be a dot (<strong>.</strong>) with no thousands separator</mark><em><mark style="background-color:blue;">.</mark></em> </p><p>Example : <mark style="color:orange;">509.90</mark></p></td></tr><tr><td>availability</td><td align="center"><strong>YES</strong></td><td>Text</td><td><p>This field indicates the availability of the product on the site.</p><p>Example : <mark style="color:orange;">in stock</mark></p></td></tr><tr><td>condition</td><td align="center">Optional</td><td>Text</td><td><p>This field indicates the condition of the product.</p><p>Example : <mark style="color:orange;">new</mark></p></td></tr><tr><td>rating</td><td align="center">Optional</td><td>Number</td><td><p>This field indicates the average rating of the product.</p><p><mark style="background-color:blue;">The decimal separator must be a dot (<strong>.</strong>)</mark></p><p>Example : <mark style="color:orange;">4.5</mark></p></td></tr><tr><td>reviews</td><td align="center">Optional</td><td>Number</td><td>This field indicates the number of reviews on the product.</td></tr><tr><td>gtin</td><td align="center">Optional</td><td>Text</td><td>This field indicates the international GTIN item code of the product. Depending on the type of product, these may be EAN, UPC or ISBN codes.</td></tr><tr><td>description</td><td align="center">Optional</td><td>Text</td><td>This field corresponds to the product description.</td></tr><tr><td>attribute_[code]</td><td align="center">Optional</td><td>Text</td><td>This field should be used to add specific attributes. Example: The column name may be "attribute_<mark style="color:orange;">color</mark>" and the column value "<mark style="color:orange;">blue</mark>".</td></tr><tr><td>offer_id</td><td align="center">Optional</td><td>Text</td><td>This field corresponds to the unique identifier of the offer. This field is required for a MarketPlace</td></tr><tr><td>seller_id</td><td align="center">Optional</td><td>Text</td><td>This field corresponds to the seller identifier of the offer. This field is required for a MarketPlace</td></tr><tr><td>seller_name</td><td align="center">Optional</td><td>Text</td><td>This field corresponds to the name of the seller of the offer. This field is required for a MarketPlace.</td></tr></tbody></table>

### Example

{% tabs %}
{% tab title="CSV" %}

```csv
product_id;title;link;image_link;alternative_image_link;brand;category;taxonomy;price;sale_price;availability;condition;rating;reviews;gtin;description;attribute_color
"3761494";"Galaxy A22 - 5G - 128 Go - Blue";"https://";"https://";"https://";"SAMSUNG";"c87601";"c4001::Cell Phones>>c62901::Mobile phone>>c87601::Smartphone";"259.00";"229.00";"in_stock";"new";"4.5";"250";"8806092266223";"Smartphone 6,6 FHD+";"blue"
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.veasybl.io/en/prerequisites/product-catalog/csv-file.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
